<?php
/**
 * Color Field Settings
 *
 * @package Mytravel/ACF/Settings/ColorDetails
 */

acf_add_local_field_group(
	array(
		'key'                   => 'group_60c76804455f1',
		'title'                 => 'Color Fields',
		'fields'                => array(
			array(
				'key'               => 'field_60c7680e6ea11',
				'label'             => 'Background Color',
				'name'              => 'background_color',
				'type'              => 'group',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'layout'            => 'table',
				'sub_fields'        => array(
					array(
						'key'               => 'field_60c768866ea12',
						'label'             => 'Pre defined',
						'name'              => 'bg_pre_defined',
						'type'              => 'true_false',
						'instructions'      => '',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'message'           => '',
						'default_value'     => 1,
						'ui'                => 0,
						'ui_on_text'        => '',
						'ui_off_text'       => '',
					),
					array(
						'key'               => 'field_60c768a56ea13',
						'label'             => 'Background Color',
						'name'              => 'background_color_select',
						'type'              => 'select',
						'instructions'      => '',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_60c768866ea12',
									'operator' => '==',
									'value'    => '1',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'choices'           => array(
							'no-color'         => 'None',
							'primary'          => 'Primary',
							'secondary'        => 'Secondary',
							'success'          => 'Success',
							'info'             => 'Info',
							'warning'          => 'Warning',
							'danger'           => 'Danger',
							'brown'            => 'Brown',
							'brown-light'      => 'Brown light',
							'blue'             => 'Blue',
							'blue-1'           => 'Blue v1',
							'blue-dark-1'      => 'Blue Dark',
							'dark-1'           => 'Dark v1',
							'dark-2'           => 'Dark v2',
							'gray'             => 'Gray',
							'gray-1'           => 'Gray v1',
							'gray-2'           => 'Gray v2',
							'gray-3'           => 'Gray v3',
							'gray-4'           => 'Gray v4',
							'gray-5'           => 'Gray v5',
							'gray-6'           => 'Gray v6',
							'gray-7'           => 'Gray v7',
							'gray-8'           => 'Gray v8',
							'gray-9'           => 'Gray v9',
							'gray-10'          => 'Gray v10',
							'gray-11'          => 'Gray v11',
							'gray-23'          => 'Gray v23',
							'gray-33'          => 'Gray v33',
							'green'            => 'Green',
							'indigo'           => 'Indigo',
							'indigo-light'     => 'Indigo Light',
							'maroon'           => 'Maroon',
							'navy'             => 'Navy Blue',
							'orange'           => 'Orange',
							'pink'             => 'Pink',
							'pink-1'           => 'Pink v1',
							'purple-1'         => 'Purple v1',
							'red-light-2'      => 'Red Light',
							'sea-green'        => 'Sea green',
							'violet'           => 'Violet',
							'violet-1'         => 'Violet v1',
							'violet-light'     => 'Violet light',
							'white'            => 'White',
							'yellow-lighter-2' => 'Yellow Light v2',
						),
						'default_value'     => 'maroon',
						'allow_null'        => 0,
						'multiple'          => 0,
						'ui'                => 0,
						'return_format'     => 'value',
						'ajax'              => 0,
						'placeholder'       => '',
					),
					array(
						'key'               => 'field_60c76b186ea14',
						'label'             => 'Background Color',
						'name'              => 'background_color_picker',
						'type'              => 'color_picker',
						'instructions'      => '',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_60c768866ea12',
									'operator' => '!=',
									'value'    => '1',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'enable_opacity'    => false,
						'return_format'     => 'string',
					),
				),
			),
			array(
				'key'               => 'field_60c76b3b542fd',
				'label'             => 'Text Color',
				'name'              => 'text_color',
				'type'              => 'group',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'layout'            => 'table',
				'sub_fields'        => array(
					array(
						'key'               => 'field_60c76b3b542fe',
						'label'             => 'Pre defined',
						'name'              => 'color_pre_defined',
						'type'              => 'true_false',
						'instructions'      => '',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'message'           => '',
						'default_value'     => 1,
						'ui'                => 0,
						'ui_on_text'        => '',
						'ui_off_text'       => '',
					),
					array(
						'key'               => 'field_60c76b3b542ff',
						'label'             => 'Text Color',
						'name'              => 'text_color_select',
						'type'              => 'select',
						'instructions'      => '',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_60c76b3b542fe',
									'operator' => '==',
									'value'    => '1',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'choices'           => array(
							'no-color'         => 'None',
							'primary'          => 'Primary',
							'secondary'        => 'Secondary',
							'success'          => 'Success',
							'info'             => 'Info',
							'warning'          => 'Warning',
							'danger'           => 'Danger',
							'brown'            => 'Brown',
							'brown-light'      => 'Brown light',
							'blue'             => 'Blue',
							'blue-1'           => 'Blue v1',
							'blue-dark-1'      => 'Blue Dark',
							'dark-1'           => 'Dark v1',
							'dark-2'           => 'Dark v2',
							'gray'             => 'Gray',
							'gray-1'           => 'Gray v1',
							'gray-2'           => 'Gray v2',
							'gray-3'           => 'Gray v3',
							'gray-4'           => 'Gray v4',
							'gray-5'           => 'Gray v5',
							'gray-6'           => 'Gray v6',
							'gray-7'           => 'Gray v7',
							'gray-8'           => 'Gray v8',
							'gray-9'           => 'Gray v9',
							'gray-10'          => 'Gray v10',
							'gray-11'          => 'Gray v11',
							'gray-23'          => 'Gray v23',
							'gray-33'          => 'Gray v33',
							'green'            => 'Green',
							'indigo'           => 'Indigo',
							'indigo-light'     => 'Indigo Light',
							'maroon'           => 'Maroon',
							'navy'             => 'Navy Blue',
							'orange'           => 'Orange',
							'pink'             => 'Pink',
							'pink-1'           => 'Pink v1',
							'purple-1'         => 'Purple v1',
							'red-light-2'      => 'Red Light',
							'sea-green'        => 'Sea green',
							'violet'           => 'Violet',
							'violet-1'         => 'Violet v1',
							'violet-light'     => 'Violet light',
							'white'            => 'White',
							'yellow-lighter-2' => 'Yellow Light v2',
						),
						'default_value'     => 'white',
						'allow_null'        => 0,
						'multiple'          => 0,
						'ui'                => 0,
						'return_format'     => 'value',
						'ajax'              => 0,
						'placeholder'       => '',
					),
					array(
						'key'               => 'field_60c76b3b54300',
						'label'             => 'Text Color',
						'name'              => 'text_color_picker',
						'type'              => 'color_picker',
						'instructions'      => '',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_60c76b3b542fe',
									'operator' => '!=',
									'value'    => '1',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'enable_opacity'    => false,
						'return_format'     => 'string',
					),
				),
			),
		),
		'location'              => array(
			array(
				array(
					'param'    => 'taxonomy',
					'operator' => '==',
					'value'    => 'product_tag',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
		'active'                => true,
		'description'           => '',
		'show_in_rest'          => 0,
	)
);

